# AtkDocument

## Name

AtkDocument -- The ATK interface which allows access to a DOM associated with on object.

## Synopsis

    struct      AtkDocument;
    G_CONST_RETURN gchar* atk_document_get_document_type
                                                (AtkDocument *document);
    gpointer    atk_document_get_document       (AtkDocument *document);

## Object Hierarchy

      GInterface
       +----AtkDocument

## Description

The AtkDocument interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Details

### struct AtkDocument

    struct AtkDocument;

The AtkDocument structure does not contain any fields.

### atk_document_get_document_type ()

    G_CONST_RETURN gchar* atk_document_get_document_type
                                                (AtkDocument *document);

Gets a string indicating the document type.

`document` :

  a GObject instance that implements AtkDocumentIface

Returns :

  a string indicating the document type

### atk_document_get_document ()

    gpointer    atk_document_get_document       (AtkDocument *document);

Gets a `gpointer` that points to an instance of the DOM. It is up to the caller to check atk_document_get_type to determine how to cast this pointer.

`document` :

  a GObject instance that implements AtkDocumentIface

Returns :

  a `gpointer` that points to an instance of the DOM.